nav {
    color: white;
    background-color: gray;
    display: grid;
    grid-template-columns: 15% 85%;
    margin-bottom: 1%;
    align-items: center;
    width: 100%;
    height: 50px;
}

img {
    overflow: hidden;
    object-fit: cover;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
}

h2 {
    margin-top: 0;
    margin-bottom: 0;
}

table {
    border-collapse: collapse;
    width: 100%;
}

tr, th, td {
    padding: 2%;
    text-align: center;
    border: 1px solid;
  }

.container {
    display: grid;
    grid-template-columns: 15% 85%;
}

.menu {
    margin-left: 10%;
}

.content {
    margin-right: 10%;
}

.addbutton {
    float: right;
    margin-bottom: 1%;
}

.modal {
    border: 1px solid black;
    position: absolute;
    width: 130px;
    background-color: #fff;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    display: none;
}

.modal a {
    display: block;
    padding: 12px 16px;
    text-decoration: none;
    color: #000;
}

.modal a:hover {
    background-color: #f1f1f1;
}

.notifications {
    border: 1px solid black;
    position: absolute;
    background-color: #fff;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    display: none;
}

.notifications a {
    display: block;
    padding: 12px 16px;
    text-decoration: none;
    color: #000;
}

.textMessage {
    margin: 8px;
    width: 150px;
    height: 50%;
    border: 1px solid darkgray;
    background-color: lightgray;
    border-radius: 3px;
}

.message {
    display: grid;
    grid-template-columns: auto auto;
}

.sender {
    margin: 4px;
}

.notifications a:hover {
    background-color: #f1f1f1;
}

.drop .drop2 {
    position: relative;
    display: block;
}

.drop2:hover .notifications{
    display: block;
}

.drop:hover .modal{
    display: block;
}

.bell {
    animation: bell 1s infinite;
     height: 40px;
      width: 40px; 
      color: black;
}

@keyframes bell {
    0% {
      transform: rotate(0deg);
    }
    10% {
      transform: rotate(-10deg);
    }
    20% {
      transform: rotate(5deg);
    }
    30% {
      transform: rotate(10deg);
    }
    40% {
      transform: rotate(5deg);
    }
    50% {
      transform: rotate(-10deg);
    }
    60% {
      transform: rotate(-15deg);
    }
    70% {
      transform: rotate(5deg);
    }
    80% {
      transform: rotate(0deg);
    }
    90% {
      transform: rotate(-10deg);
    }
    10% {
      transform: rotate(0deg);
    }
  }

  .student-window {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.6s;
  }
  
  .student-window.opened {
    visibility: visible;
    opacity: 1;
  }
  
  .student-window-content {
    border-radius: 4px;
    position: relative;
    width: 500px;
    max-width: 90%;
    background-color: rgb(175, 229, 244);
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    padding: 32px 24px;
  }
  
  .student-window-header {
    margin-bottom: 32px;
  
    display: flex;
    justify-content: space-between;
  }
  
  .btn--close-student-window {
    width: 24px;
    height: 24px;
    font-size: 12px;
    background-color: transparent;
    border-color: #343a40;
  }
  
  .btn--close-student-window:hover,
  .btn--close-student-window:active {
    background-color: rgba(60, 46, 46, 0.3);
  }
  
  .student-form {
    display: flex;
    flex-direction: column;
    gap: 18px;
  }
  
  .student-input-container {
    display: flex;
    flex-direction: column;
    gap: 8px;
  }
  
  .student-input {
    font-size: 16px;
    padding: 12px 16px;
  }
  
  .form-buttons {
    display: flex;
    justify-content: center;
    gap: 18px;
  }
  
  .btn--form {
    background-color: transparent;
    border: 2px solid #343a40;
    font-size: 16px;
    padding: 8px 16px;
  }
  
  .btn--form:hover,
  .btn--form:active {
    background-color: rgba(0, 0, 0, 0.1);
  }
  